#include <stdio.h>
#include <string.h>
#include "doslibm.h"
#include "defines.h"
#include "astring.h"
#include "astdio.h"
#include "adisk.h"

int fnsplit3(filename,fname,drv,dir,name,ext,attr,fblock,mode)
unchar const *filename;
unchar *fname,*drv,*dir,*name,*ext;
int attr,mode;
_FILBUF *fblock;
{
	fd_strcpy(fname,filename);
	/* fn_make()は"0:fname"を通さないので先に'0:'を処理する */
	if (fn_make(fname,fname,mode)) return(2); /* ファイルネーム補正：エラーの時はreturn(2) */
	strsfn2(fname,drv,dir,name,ext);
	
	if (FILES(fblock,fname,attr)<0) {
		if (!mode) printsn("\aファイルが見つかりません：",fname);
		return(1);
	}
	return(0);
}
